// pages/more/downLine/detail/detail.js
const app = getApp(),
  { hostname } = app.globalData
Page({
  /**
   * 页面的初始数据
   */
  data: {
    orderList: [],
    tabIndex: 0,
    showAll: true,
    orderCount: 0
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    console.log(options)
    wx.showLoading({
      title: '加载中',
    })
    let { user_id = wx.getStorageSync('openid') } = options
    if (!user_id) {
      user_id = wx.getStorageSync("openid")
    }
    // 
    wx.request({
      url: hostname + 'shop/share_order',
      data: {
        user_id
      },
      success: res => {
        if (res.data.code == 200) {
          let orderList = res.data.data
          orderList.forEach(item => {
            let tempDate = new Date()
            tempDate.setTime(Number(item.addtime) * 1000)
            item.addtime = `${tempDate.getFullYear()}年${(tempDate.getMonth() + 1).toString().length > 1 ? tempDate.getMonth() + 1 : '0' + (tempDate.getMonth() + 1)}月${(tempDate.getDate()).toString().length > 1 ? tempDate.getDate() : '0' + tempDate.getDate()}日 ${(tempDate.getHours()).toString().length > 1 ? tempDate.getHours() : '0' + tempDate.getHours()}:${(tempDate.getMinutes()).toString().length > 1 ? tempDate.getMinutes() : '0' + tempDate.getMinutes()}`
            item.money = Number(item.money).toFixed(2)
          })
          this.setData({
            orderList: res.data.data
          })
          this.orderCounter()
        }
      },
      fail: function (res) { },
      complete: function (res) {
        wx.hideLoading()
      },
    })
  },
  // 切换Tab
  switchTab(e) {
    let { id } = e.target
    switch (id) {
      case '0':
        this.setData({
          showAll: true,
          tabIndex: 0
        })
        break;
      case '1':
        this.setData({
          showAll: false,
          orderStatus: 0,
          tabIndex: 1
        })
        break;
      case '2':
        this.setData({
          showAll: false,
          orderStatus: 1,
          tabIndex: 2
        })
        break;
      case '3':
        this.setData({
          showAll: false,
          orderStatus: 2,
          tabIndex: 3
        })
        break;
    }
    this.orderCounter()
  },
  orderCounter() {
    let orderCount = 0,
      { orderStatus = null, showAll, orderList } = this.data
    if (showAll) {
      this.setData({
        orderCount: 99
      })
    } else {
      orderList.forEach(item => {
        item.status == orderStatus && orderCount++
      })
      this.setData({
        orderCount
      })
    }
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () { },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () { },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () { },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () { },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () { },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () { },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
    return {
      title: '邀请好友成为您的伙伴',
      path: '/pages/more/downLine/downLine?share_id=' + wx.getStorageSync('openid'),
      success: function (res) {
        // 转发成功
        wx.showToast({
          title: '分享成功',
        })
      },
      fail: function (res) {
        // 转发失败
        wx.showToast({
          title: '分享失败',
          image: '/images/warning.png'
        })
      }
    }
  }
})